Summary: 	%{_vendor} Xfce configuration files
Name:    	mageia-xfce-config
Epoch:		1
Version: 	4.18.9.1
Release: 	%mkrel 1
Group:   	Graphical desktop/Xfce
License: 	GPLv2+
URL:		https://www.mageia.org
# https://gitweb.mageia.org/software/desktop/xfce/config/
Source0: 	%{name}-%{version}.tar.xz
Source1:	xfce4-light-locker-settings.gschema.override
BuildArch: 	noarch
Requires:	%{_real_vendor}-release-common
Requires:	%{_real_vendor}-release-Default
Requires:	%{_real_vendor}-theme
# For monospace font
Requires:	fonts-ttf-dejavu
# For theme
Requires:	adwaita-icon-theme
Requires:	gtk+3.0
Obsoletes:	adwaita-xfce-theme < 20190323-3

%description
This package regroups all specific configuration files for %{_vendor} Xfce
desktop environment.

%prep
%setup -q

%install
%make_install

# Gsettings override for light-locker
install -Dpm 644 %{_sourcedir}/xfce4-light-locker-settings.gschema.override \
	%{buildroot}%{_datadir}/glib-2.0/schemas/60-xfce4-light-locker-settings.gschema.override

%files
%doc AUTHORS NEWS ChangeLog README.update.urpmi
%{_sysconfdir}/xdg/Thunar/*
%dir %{_sysconfdir}/xdg/xfce4/
%{_sysconfdir}/xdg/xfce4/*
%{_sysconfdir}/xdg/menus/xfce-applications.menu
%{_datadir}/glib-2.0/schemas/60-xfce4-light-locker-settings.gschema.override
